## iptables-optimizer 0.9.13

=== Makefile ===
# Makefile for opti.py, now needed for senseful tests
# so there is nothing real to do, but pleasure

alltests:
	@make shelltests testing

shelltests:
	bash iptables-optimizer-tests.sh
	bash ip6tables-optimizer-tests.sh

testing:
	/usr/bin/tox

rpm:
	python3 setup.py bdist_rpm

deb:
	gbp buildpackage --git-pbuilder

doc:
	make -C docs html

clean:
	make -C docs clean
	@python setup.py clean --bdist-base build
	@rm -rf .coverage *.pyc reference-output rs ts build
	@rm -rf __pycache__ iptables_optimizer.egg-info/ dist
	@rm -rf *.py3 .tox .noseids .pybuild
	@dh_clean || /bin/true

=== debian/changelog ===
iptables-optimizer (0.9.13-2) unstable; urgency=medium

  * [d1d8d0a] debian directory deleted in master branch
    master is upstream now
    packaging in debian/sid
  * [3512fe0] version changed to 0.9.13, copyrighted to 2015-02-10
  * [8f23ecd] debian/patches no longer needed
  * [bfe4f85] gbp.conf added
    to overwrite users global gbp.conf settings

 -- Johannes Hubertz <johannes@hubertz.de>  Sun, 29 Mar 2015 23:01:18 +0200

iptables-optimizer (0.9.13-1) unstable; urgency=medium

  * shunit2 test added to check real root vs. fakeroot
  * ID checks for root summarized to REAL_ID, all tests affected
  * debian version set to 0.9.13-1, copyright msgs edited to 2015

 -- Johannes Hubertz <johannes@hubertz.de>  Tue, 10 Feb 2015 09:57:38 +0100

iptables-optimizer (0.9.13) unstable; urgency=medium

  * [c7045a8] version now set to 0.9.13

 -- Johannes Hubertz <johannes@hubertz.de>  Fri, 16 Jan 2015 15:52:20 +0100

iptables-optimizer (0.9.12) unstable; urgency=medium

  * branch squeeze created to enable simple backport
  * dependencies for build and runtime set to testing
  * documentation configuration: no index and sources
  * debian files adapted, debhelpers more involved

 -- Johannes Hubertz <johannes@hubertz.de>  Sun, 28 Sep 2014 12:31:23 +0200

iptables-optimizer (0.9.11) unstable; urgency=medium

  * shunit2 test skipping for non root users explained
  * addig IP6 variable seems easy going
  * new tests input-file needed for IP6
  * minimal changes lead to ip6tables compatibility
  * clean exit added for beauty of code
  * ip6... manpage created with sed by replacing iptab with ip6tab..
  * ip6tables-optimizer-tests.sh now called as well
  * version increased to 0.9.11, ip6tables-optimizer added in setup.py
  * version set to 0.9.11, documentation updated (Closes: #714012)

 -- Johannes Hubertz <johannes@hubertz.de>  Thu, 04 Sep 2014 22:15:26 +0200

iptables-optimizer (0.9.10) unstable; urgency=low

  [ Johannes Hubertz ]
  * shell wrapper rewritten and now accompanied by shunit2 tests
  * README.txt and man page updated to new iptables-optimizer
  * options introduced: -a -c -v -w
  * python and tox adapted to 2.7 and 3.4
  * sphinx-documentation still needs more work

 -- Johannes Hubertz <johannes@hubertz.de>  Mon, 18 Aug 2014 15:30:17 +0200

iptables-optimizer (0.9.9) unstable; urgency=low

  * [436f2f8] python3 dependancies removed, python2 is actual standard version
  * [003cfcb] no python module to build, so dh_pysupport removed
  * [7885b7d] setup.py may use 2to3 if used with python3
  * [4380120] version incremented t0 0.9.9
  * [cad1b02] version 0.9.9, shebang uses python directly
  * [1484100] README.txt mentions changes to 0.9.9

 -- Johannes Hubertz <johannes@hubertz.de>  Sat, 24 Aug 2013 23:01:24 +0200

iptables-optimizer (0.9.8) unstable; urgency=low

  [ Johannes Hubertz ]
  * [1144d70] clean removes directoy dist, created for rpm
  * [94c6e10] debhelper prerm corrected

  [ Tim Stolarski ]
  * [579251f] Move purge operation to postrm script

  [ Johannes Hubertz ]
  * [218f04d] python3.2 compatibility took some time

 -- Johannes Hubertz <johannes@hubertz.de>  Mon, 12 Aug 2013 21:41:03 +0200

iptables-optimizer (0.9.7) unstable; urgency=low

  * [394a447] typo corrected in the man page
  * [56c21ed] Build-Depends: python-support added
  * [28e4b6f] dh_python2 replaced by dh_python-support, installs on squeeze ok
  * [fd10add] prerm removes /var/cache/iptables-optimizer on purge
  * [ddae3ba] cosmetics in Makefile and iptables_optimizer.py
  * [fe79343] py.test introduced, nosetests are replaced
  * [f64f350] clean removes pycache and egg.info
  * [9dac4b5] version 0.9.7 released

 -- Johannes Hubertz <johannes@hubertz.de>  Thu, 08 Aug 2013 12:06:11 +0200

iptables-optimizer (0.9.6) unstable; urgency=low

  * [6e2d63e] deleted, not neccessary, dh_installdirs does it
  * [7721723] /var/cache/iptables-optimizer , thats it.
  * [48aeb8d] auto-apply now in /var/cache/iptables-optimizer, v0.9.6
  * [cb035f8] man page adapted to new path for auto-apply

 -- Johannes Hubertz <johannes@hubertz.de>  Fri, 19 Jul 2013 02:01:25 +0200

iptables-optimizer (0.9.5) unstable; urgency=low

  * [1cfc7f0] #DEBHELPER# appended to postinst
  * [f444797] control and copyright: naming corrected, version removed
  * [fb50dfe] version changed to 0.9.5

 -- Johannes Hubertz <johannes@hubertz.de>  Thu, 18 Jul 2013 00:12:34 +0200

iptables-optimizer (0.9.4) unstable; urgency=low

  * [e7b7496] auto-apply moved to /var/cache, postinst needed
  * [3423fed] create /var/cache/auto-apply with drwx------
  * [2e6f94c] debian/iptables-optimizer.postinst.debhelper renamed
  * [c7be05a] /root/auto-apply moved for policy reasons
  * [72e1d79] auto-apply moved to /var/cache/auto-apply
  * [405fb50] man-page adapted to new path of auto-apply
  * [62b41ba] man page clearified exit status: 0 or 1
  * [2fb28e6] i-o.py now moved to /usr/shared/pyshared/, no exec
  * [da55905] postinst now set -e, no path for binaries
  * [817dfeb] python moved to /usr/share/pyshared

 -- Johannes Hubertz <johannes@hubertz.de>  Wed, 17 Jul 2013 18:11:29 +0200

iptables-optimizer (0.9.3) unstable; urgency=low

  * package name now is: iptables-optimizer
  * [24758ec] non iptables-optimizer internal calls to non shipped flush removed
  * [af72ad9] Readme adapted to new package-name
  * [9dff630] nice header now in iptables-optimizer

 -- Johannes Hubertz <johannes@hubertz.de>  Tue, 16 Jul 2013 22:39:54 +0200

iptables-optimizer (0.9.2) unstable; urgency=low

  * [6fd7fe6] auto-apply now mentoned first time
  * [66200d8] renaming optimizer.sh to iptables-optimizer mentionend in setup.py
  * [811e3df] working dir changed to /var/run as preferred by debian
  * [7a9e14b] optimizer deleted, iptables-optimizer sounds better
  * [5c84f15] setup long_description now read from README.txt
  * [4cdfd34] MANIFEST adapted to renaming to iptables-optimizer
  * [29087cf] rules now produce a working iptables-optimizer


## iptables-optimizer 0.9.14

=== Makefile ===
--- 
+++ 
@@ -21,10 +21,11 @@
 	make -C docs html
 
 clean:
-	make -C docs clean
-	@python setup.py clean --bdist-base build
+	@$(MAKE) -C docs clean
+	@python setup.py clean
 	@rm -rf .coverage *.pyc reference-output rs ts build
 	@rm -rf __pycache__ iptables_optimizer.egg-info/ dist
+	@rm -rf .cache ./build ./iptables_optimizer.py3
 	@rm -rf *.py3 .tox .noseids .pybuild
 	@dh_clean || /bin/true

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

h:
	make html
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR) .ropeproject

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/iptables-optimizer.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/iptables-optimizer.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/iptables-optimizer"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/iptables-optimizer"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
iptables-optimizer (0.9.14-1) unstable; urgency=medium

  * greencloud removed due to debian/stretch needs
    (Closes: #845049)
  * corrects error handling
  * test imports and uses FilterLoadError in contextmanager
  * tox adapted to python3.5, 2.6 removed
  * version and date now set to 0.9.14 from 2016-12-06
  * documentation mentions python 3.5 and pyflakes

 -- Johannes Hubertz <johannes@hubertz.de>  Sat, 10 Dec 2016 22:01:18 +0200

=== debian/control ===
Source: iptables-optimizer
Section: net
Priority: extra
Maintainer: Johannes Hubertz <johannes@hubertz.de>
Build-Depends: python (>= 2.7.8), debhelper (>= 9), dh-python (>= 1.20140511), shunit2 (>=2.1.6), python-sphinx (>= 1.2.3), python-setuptools (>= 5.5.1), cloud-sptheme-common (>= 1.6)
Standards-Version: 3.9.6

Package: iptables-optimizer
Architecture: all
X-Python-Version: >= 2.7
Depends: ${misc:Depends}, python (>= 2.7.8-1), bash (>= 4.3)
Description: sort iptables rules by packet counters
 iptables-optimizer is a shell and Python based tool for sorting
 iptables rules by packet/byte counters according to the
 administrators policy, ip6tables-optimizer works similar just
 for ip6tables chains.

Package: iptables-optimizer-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: sphinx html documentation for iptables-optimizer
 iptables-optimizer is a shell and Python based tool for sorting
 iptables rules by packet/byte counters according to the
 administrators policy, ip6tables-optimizer works similar just
 for ip6tables chains. This package contains the documentation
 only and includes some argumentation about it's usage and the 
 plausibility of the implemented special sorting algorithm.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1
export DH_OPTIONS=-v
export DEB_BUILD_OPTIONS=1

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

build: build-stamp

build-stamp:
	dh_testdir

clean:
	dh_clean

override_dh_install:
	cp $(CURDIR)/iptables_optimizer.py $(CURDIR)/debian/tmp/iptables_optimizer.py 
	sed -e 's!python iptables_optimizer.py!python /usr/share/pyshared/iptables_optimizer.py!' \
		< $(CURDIR)/iptables-optimizer-functions  > $(CURDIR)/debian/tmp/iptables-optimizer-functions
	sed -e 's!^source iptables-optimizer-func!source /usr/share/iptables-optimizer/iptables-optimizer-func!' \
		< $(CURDIR)/iptables-optimizer  > $(CURDIR)/debian/tmp/iptables-optimizer && \
		chmod 755 $(CURDIR)/debian/tmp/iptables-optimizer
	dh_install --sourcedir debian/tmp 
	dh_link usr/sbin/iptables-optimizer usr/sbin/ip6tables-optimizer

override_dh_installdocs:
	python setup.py build_sphinx
	dh_installdocs --package=iptables-optimizer-doc build/sphinx/html

override_dh_auto_clean:
	rm -rf build
	rm -rf *.egg-info
